%define major	15
%define libname	%mklibname wim %{major}
%define devname	%mklibname wim -d

Summary:	Create, extract, and modify Windows Imaging (WIM) files
Name:		wimlib
Version:	1.14.4
Release:	%mkrel 3
License:	GPLv3
Group:		System/Libraries
Url:		https://wimlib.net/
Source0:	https://wimlib.net/downloads/%{name}-%{version}.tar.gz
BuildRequires:	attr-devel
BuildRequires:	gettext-devel
BuildRequires:	pkgconfig(fuse3)
BuildRequires:	pkgconfig(libntfs-3g)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(openssl)

Recommends:	mkisofs
Recommends:	mtools
Recommends:	syslinux
Recommends:	cabextract

%description
wimlib is a library that can be used to create, extract, and modify
files in the Windows Imaging Format. These files are normally created
by the 'imagex.exe' program on Windows, but this library provides a
free implementation of 'imagex' for UNIX-based systems. wimlib
supports mounting WIM files, just like imagex.exe.

%package -n %{libname}
Summary:	Library to create, extract, and modify Windows Imaging (WIM) files
Group:		System/Libraries

%description -n %{libname}
wimlib is a library that can be used to create, extract, and modify
files in the Windows Imaging Format. These files are normally created
by the 'imagex.exe' program on Windows, but this library provides a
free implementation of 'imagex' for UNIX-based systems. wimlib
supports mounting WIM files, just like imagex.exe.

%package -n %{devname}
Summary:	Headers for developing programs using wimlib
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the headers needed to build programs that will
use wimlib.

%prep
%setup -q

# drop prebuilt example binaries
make clean -C examples

%build
%configure \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc README.md NEWS.md
%license COPYING*
%{_bindir}/mkwinpeimg
%{_bindir}/wim*
%{_mandir}/man1/mkwinpeimg*
%{_mandir}/man1/wim*

%files -n %{libname}
%license COPYING*
%{_libdir}/libwim.so.%{major}{,.*}

%files -n %{devname}
%doc examples
%{_includedir}/wimlib.h
%{_libdir}/pkgconfig/wimlib.pc
%{_libdir}/libwim.so


%changelog
* Mon Jul 07 2025 daviddavid <daviddavid> 1.14.4-3.mga10
+ Revision: 2250497
- rebuild for new fuse3 3.17.2

* Sat Jun 28 2025 umeabot <umeabot> 1.14.4-2.mga10
+ Revision: 2221476
- Mageia 10 Mass Rebuild

* Tue Feb 27 2024 daviddavid <daviddavid> 1.14.4-1.mga10
+ Revision: 2044617
- new version: 1.14.4

* Wed Sep 06 2023 daviddavid <daviddavid> 1.14.3-1.mga10
+ Revision: 1984595
- new version: 1.14.3

* Mon Aug 28 2023 daviddavid <daviddavid> 1.14.2-1.mga10
+ Revision: 1980489
- new version: 1.14.2
- switch to fuse3

* Mon Sep 12 2022 papoteur <papoteur> 1.13.6-1.mga9
+ Revision: 1887374
- new 1.13.6

* Sun Aug 21 2022 papoteur <papoteur> 1.13.5-1.mga9
+ Revision: 1878997
- new 1.13.5

* Wed Mar 30 2022 umeabot <umeabot> 1.13.4-4.mga9
+ Revision: 1834222
- Mageia 9 Mass Rebuild
+ wally <wally>
- rebuild for openssl 3.0.0

* Thu Sep 02 2021 tv <tv> 1.13.4-2.mga9
+ Revision: 1744025
- Rebuild for updated ntfs-3g CVE

* Tue Apr 20 2021 daviddavid <daviddavid> 1.13.4-1.mga9
+ Revision: 1717660
- new version: 1.13.4

* Tue Nov 03 2020 daviddavid <daviddavid> 1.13.3-1.mga8
+ Revision: 1642394
- new version: 1.13.3

* Tue May 26 2020 daviddavid <daviddavid> 1.13.2-1.mga8
+ Revision: 1587665
- new version: 1.13.2

* Sun Feb 16 2020 umeabot <umeabot> 1.13.1-2.mga8
+ Revision: 1530197
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 27 2019 daviddavid <daviddavid> 1.13.1-1.mga8
+ Revision: 1434436
- new version: 1.13.1

* Thu Dec 27 2018 daviddavid <daviddavid> 1.13.0-1.mga7
+ Revision: 1345323
- new version: 1.13.0

* Sat Nov 03 2018 pterjan <pterjan> 1.12.0-3.mga7
+ Revision: 1327851
- Convert optional packages to Recommends

* Sun Sep 23 2018 umeabot <umeabot> 1.12.0-2.mga7
+ Revision: 1301667
- Mageia 7 Mass Rebuild

* Sat Aug 26 2017 daviddavid <daviddavid> 1.12.0-1.mga7
+ Revision: 1147918
- new version: 1.12.0
- fix for new find_lang

* Sat Jul 22 2017 daviddavid <daviddavid> 1.11.0-2.mga7
+ Revision: 1128724
- rebuild for new ntfs-3g

* Sun Jan 29 2017 daviddavid <daviddavid> 1.11.0-1.mga6
+ Revision: 1084019
- new version: 1.11.0

* Tue Nov 01 2016 daviddavid <daviddavid> 1.10.0-1.mga6
+ Revision: 1064435
- new version: 1.10.0

* Mon Mar 21 2016 tv <tv> 1.9.1-2.mga6
+ Revision: 993714
- rebuild for new ntfs-3g

* Sun Mar 13 2016 daviddavid <daviddavid> 1.9.1-1.mga6
+ Revision: 990143
- new version: 1.9.1

* Sun Jan 31 2016 daviddavid <daviddavid> 1.9.0-1.mga6
+ Revision: 929331
- new version: 1.9.0

* Sun Nov 15 2015 daviddavid <daviddavid> 1.8.3-1.mga6
+ Revision: 903281
- new version: 1.8.3

* Mon Aug 24 2015 daviddavid <daviddavid> 1.8.2-1.mga6
+ Revision: 868927
- new version: 1.8.2

* Sat Aug 15 2015 daviddavid <daviddavid> 1.8.1-1.mga6
+ Revision: 864930
- new version: 1.8.1
- update URL and Source URL

* Sat Aug 15 2015 daviddavid <daviddavid> 1.7.1-5.mga6
+ Revision: 864919
- rebuild for ntfs-3g 2015.3.14

* Wed Oct 15 2014 umeabot <umeabot> 1.7.1-4.mga5
+ Revision: 742691
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.1-3.mga5
+ Revision: 690313
- Mageia 5 Mass Rebuild

* Thu Aug 14 2014 wally <wally> 1.7.1-2.mga5
+ Revision: 662505
- don't ship prebuilt example binaries with devel pkg

* Thu Aug 14 2014 wally <wally> 1.7.1-1.mga5
+ Revision: 662420
- new version 1.7.1
- clean .spec
+ mcb30 <mcb30>
- imported package wimlib

